Subject: Nov.04-05,2024-CH BILLION-Q&Q report-Dongjiakou port
From: sdicqd2 <[email-masked]>
To: "[email-masked]" <[email-masked]>, starenergyintl <[email-masked]>
Date: Sat, 9 Nov 2024 21:35:54 +0800 (CST)

Dear Sir，

Pls find the quantity&quality certificate for MV CH BILLION.

Best regards

--

HUANGDAO CERTIFICATION & INSPECTION  CO., LTD.  (Member of CCIC)

ROOM 1802, 469# CHANGJIANG ZHONG ROAD, HUANGDAO, QINGDAO, CHINA

Tel: 86-532-58718263  

 E-mail: [email-masked]